Main Page Class Hierarchy Compound List File List Compound Members File Members

# CounterPkg Class Reference

Implementa un messaggio di conteggio dei messaggi spediti. More...

`#include <CounterPkg.h>`

Inheritance diagram for CounterPkg:

List of all members.

## Public Methods
| CounterPkg ()
| Costruttore di default. More...
| CounterPkg (unsigned int recvData, unsigned int recvTotal, unsigned int send)
| Costruttore ordinario. More...
| CounterPkg (byte *ptr)
| Ricostruisce l'array a partire da l'array di byte restituito da getMsg(). More...
virtual | ~CounterPkg ()
| Distruttore di default.
virtual TelepatiPkg * | clone ()
| Clonatore. More...
byte * | getMsg ()
| Restituisce un array rappresentante l'oggetto. More...
unsigned int | getDataRecvMessage ()
| Numero di messaggi Data Ricevuti. More...
unsigned int | getTotalRecvMessage ()
| Numero di messaggi totali ricevuti. More...
unsigned int | getSendMessage ()
| Numero di messaggi spediti. More...
## Protected Attributes
unsigned int | rd
| Messaggi di dati ricevuti.
unsigned int | rt
| Messaggi di controllo ricevuti.
unsigned int | s
| Messaggi spediti.

## Detailed Description

Implementa un messaggio di conteggio dei messaggi spediti.

Messaggio di controllo che contiene informazioni sul numero di messaggi spediti e ricevuti, in quest'ultimo caso divisi in messatti totali ricevuti e messaggi di dati ricevuti.@n Struttura: oltre all'Header Standard contiene tre unsigned int (32bit) rappresentanti: messaggi dati ricevuti, messaggi totali ricevuti, messaggi totali spediti.

## Constructor & Destructor Documentation

CounterPkg::CounterPkg | ( |  | ) |

| Costruttore di default. Costruisce un oggetto indirizzato ad un Aibo invalido e con i valori di rc, rt e s uguali a 0.

CounterPkg::CounterPkg | ( | unsigned int | recvData,
|  | unsigned int | recvTotal,
|  | unsigned int | send
| ) |

  | Costruttore ordinario. Parameters:
  recvData | Numero di messaggi di dati ricevuti .
  recvTotal | Numero di messaggi di controllo ricevuti.
  send | Numero di messaggi spediti.

CounterPkg::CounterPkg | ( | byte * | ptr | ) |

  | Ricostruisce l'array a partire da l'array di byte restituito da getMsg(). Parameters:
  ptr | Array di byte.
See also: getMsg()

## Member Function Documentation

TelepatiPkg * CounterPkg::clone | ( |  | ) | `[virtual]`

| Clonatore. Restituisce un clone dell'oggetto su cui e' chiamato. Implements TelepatiPkg.

unsigned int CounterPkg::getDataRecvMessage | ( |  | ) | `[inline]`

| Numero di messaggi Data Ricevuti. Returns: Numero di messaggi di Dati ricevuti.

byte * CounterPkg::getMsg | ( |  | ) | `[virtual]`

| Restituisce un array rappresentante l'oggetto. L'array restituito viene utilizzato per spedire l'oggetto sia via rete sia per lo scambio di messaggi tra oggetti OPENR. Returns: byte[] array di byte che rappresenta l'oggetto See also: CounterPkg(const byte* ptr) Implements TelepatiPkg.

unsigned int CounterPkg::getSendMessage | ( |  | ) | `[inline]`

| Numero di messaggi spediti. Returns: Numero di messaggi spediti.

unsigned int CounterPkg::getTotalRecvMessage | ( |  | ) | `[inline]`

| Numero di messaggi totali ricevuti. Returns: Totale dei messaggi ricevuti.

The documentation for this class was generated from the following files:

- /home/gilberto/prog/tesi2.31/lib/Packages/CounterPkg.h
- /home/gilberto/prog/tesi2.31/lib/Packages/CounterPkg.cc